## qca2 2.3.1

=== debian/changelog ===
qca2 (2.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump libssl-dev to 1.1.1

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jul 2020 07:57:50 +0200

qca2 (2.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.4
    - bump Qt5 to 5.6
  * Update the patches:
    - define_qca_export.diff: refresh
    - pipeunittest_more_wait.diff: refresh
    - hurd_msync.diff: refresh
    - kubuntu_ignore_filewatch_test.diff: refresh
  * Update symbols file.
  * Remove extra trailing whitespaces in changelog.
  * Small changes to copyright.
  * Use DEB_CFLAGS_MAINT_APPEND & DEB_CXXFLAGS_MAINT_APPEND to append the
    visibility build flags, instead of setting CFLAGS & CXXFLAGS directly.
  * Switch from dhmk to the dh sequencer:
    - call the right debhelper command instead of $(overridden_command)
    - manually force the generation of the strict shlibs handling
    - remove the overrides that do not do anything more than the command itself
  * Remove debian/not-installed, no more needed now.
  * Remove the unused 'testsuite' autopkgtest.
  * Update lintian overrides.
  * Add Rules-Requires-Root: no.
  * Build the documentation only in -indep builds:
    - move doxygen as Build-Depends-Indep
    - perform the normal build in dh_auto_build-arch, and only build the doc
      in dh_auto_build-indep
    - disable dh_auto_install-indep, and auto_test-indep, as there is nothing
      to do in these cases
  * Simplify libqca2-doc.install by installing the output directory as a whole
    - avoid shipping .md5 files
  * Add graphviz as Build-Depends-Indep to improve the generated HTML apidox.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the upstream signing key.
  * Use /usr/share/dpkg/architecture.mk to get $DEB_HOST_MULTIARCH, instead
    of querying dpkg-architecture manually.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jul 2020 20:23:57 +0200
