=== debian/changelog ===
qca2 (2.3.2-2) unstable; urgency=medium

  * Team upload.
  * Drop patch hurd_msync.diff, as now Hurd implements msync().
  * Drop patch kubuntu_ignore_filewatch_test.diff, as this test seems to work
    fine now.
  * Use $AUTOPKGTEST_TMP instead of $ADTTMP in autopkgtests.
  * Do not ship the upstream README in libqca-qt5-2, as it is not much of use.

 -- Pino Toscano <pino@debian.org>  Sun, 07 Feb 2021 10:58:31 +0100

qca2 (2.3.2-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 1.0-1.

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt5 to 5.9
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the patches:
    - define_qca_export.diff: refresh
    - pipeunittest_more_wait.diff: refresh
    - hurd_msync.diff: refresh
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 05 Feb 2021 00:43:58 +0100
