=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
            Maximiliano Curia <maxy@debian.org>,
 Build-Depends: ca-certificates,
                cmake (>= 3.4~),
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                libsasl2-dev,
                libssl-dev (>= 1.1.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.6.0~),
+               qtbase5-dev (>= 5.9.0~),
 Build-Depends-Indep: doxygen,
                      graphviz,
 Build-Conflicts: libqca2-dev, qca-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://userbase.kde.org/QCA
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qca2.git
