=== debian/watch ===
version=4
opts=pgpmode=auto https://download.kde.org/stable/qca/([\d.]+)/qca-([\d.]+)\.tar\.xz
