## qca2 2.3.3

=== debian/changelog ===
qca2 (2.3.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump Qt5 to 5.14
  * Drop the migration from libqca-qt5-2-dbg, no more needed after two Debian
    stable releases.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Aug 2021 08:25:41 +0200
