=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libssl-dev (>= 1.1.1~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.14.0~),
 Build-Depends-Indep: doxygen,
                      graphviz,
 Build-Conflicts: libqca2-dev, qca-dev
