=== debian/changelog ===
qca2 (2.3.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Sep 2021 21:20:53 +0200
