=== debian/rules ===
--- 
+++ 
@@ -28,8 +28,5 @@
 
 override_dh_auto_test-indep:
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='libqca-qt5-2-dbg (<< 2.1.3-2~)'
-
 override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
 	dh_gencontrol -a
